Bug 204432 - [NEW PORT] devel/py-pyface: Traits-capable windowing framework from Enthought
Summary: [NEW PORT] devel/py-pyface: Traits-capable windowing framework from Enthought
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://reviews.freebsd.org/D4181
Keywords: feature, patch
Depends on:
Blocks: 204435
  Show dependency treegraph
 
Reported: 2015-11-10 16:35 UTC by vladimir.chukharev
Modified: 2016-08-04 18:03 UTC (History)
2 users (show)

See Also:


Attachments
Shar file of the port (1.91 KB, text/plain)
2015-11-10 16:35 UTC, vladimir.chukharev
no flags Details
Logs of a build in poudriere (216.02 KB, text/plain)
2015-11-10 16:37 UTC, vladimir.chukharev
no flags Details
Updated shar file (3.17 KB, text/plain)
2016-01-08 13:10 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details
Logs of QA tests (839.32 KB, text/plain)
2016-01-08 13:22 UTC, vladimir.chukharev
no flags Details
New shar file with complete license info (2.98 KB, text/plain)
2016-03-11 22:20 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details
Resuls of QA tests of the updated shar (840.69 KB, text/plain)
2016-03-11 22:22 UTC, vladimir.chukharev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2015-11-10 16:35:57 UTC
Created attachment 162968 [details]
Shar file of the port

Traits-capable windowing framework from Enthought. This port and 3 others are needed for graphics/py-mayavi.
Comment 1 vladimir.chukharev 2015-11-10 16:37:46 UTC
Created attachment 162969 [details]
Logs of a build in poudriere
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-05 09:52:00 UTC
Initial review items:

* GH_PROJECT=${PORTNAME} isn't needed
* Why NO_BUILD=yes?
* Upstream version is now 5.0.0
* Can this be switched to CHEESESHOP (preferred)
Comment 3 vladimir.chukharev 2015-12-05 10:25:20 UTC
miwi@, Thanks for taking this bug. Please see dicussions on https://reviews.freebsd.org/D4181 There are changes to the port, and to all related ports too.

All ports use CHEESESHOP now, GH_* variables and NO_BUILD are deleted.

I will test v. 5.0.0 and update the review a bit later.
Comment 4 vladimir.chukharev 2016-01-08 13:10:47 UTC
Created attachment 165254 [details]
Updated shar file

A new version was released, as was mentioned earlier. It needs a patch for installation. The patch is submitted upstream.

License framework variables are not ready yet, though main information for it is included in comments.
Comment 5 vladimir.chukharev 2016-01-08 13:22:41 UTC
Created attachment 165255 [details]
Logs of QA tests
Comment 6 vladimir.chukharev 2016-03-11 22:20:21 UTC
Created attachment 168023 [details]
New shar file with complete license info

Update the shar file with the port, now with all license information.
Comment 7 vladimir.chukharev 2016-03-11 22:22:10 UTC
Created attachment 168024 [details]
Resuls of QA tests of the updated shar
Comment 8 Martin Wilke freebsd_committer 2016-03-14 02:30:31 UTC
back to pool
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-04 11:11:49 UTC
Should have been reassigned to the open pool (not just python@)
Comment 10 Kurt Jaeger freebsd_committer 2016-08-04 17:50:32 UTC
testbuilds@work
Comment 11 Kurt Jaeger freebsd_committer 2016-08-04 18:03:01 UTC
5.1.0 committed, testbuilds are all fine etc.
Comment 12 commit-hook freebsd_committer 2016-08-04 18:03:44 UTC
A commit references this bug:

Author: pi
Date: Thu Aug  4 18:02:47 UTC 2016
New revision: 419640
URL: https://svnweb.freebsd.org/changeset/ports/419640

Log:
  New port: devel/py-pyface

  The pyface project contains a toolkit-independent GUI abstraction
  layer, which is used to support the "visualization" features of the
  Traits package. Thus, you can write code in terms of the Traits API
  (views, items, editors, etc.), and let pyface and your selected
  toolkit and back-end take care of the details
  of displaying them.

  The following GUI backends are supported:
   * wxPython
   * PyQt
   * PySide

  WWW: https://docs.enthought.com/pyface

  PR:		204432
  Submitted by:	Vladimir Chukharev <vladimir.chukharev@gmail.com>

Changes:
  head/devel/Makefile
  head/devel/py-pyface/
  head/devel/py-pyface/Makefile
  head/devel/py-pyface/distinfo
  head/devel/py-pyface/pkg-descr